mma_simt.h File Reference

Templates implementing warp-level matrix multiply-accumulate operations. More...

`#include "cutlass/cutlass.h"`
`#include "cutlass/array.h"`
`#include "cutlass/numeric_types.h"`
`#include "cutlass/matrix_shape.h"`
`#include "cutlass/gemm/gemm.h"`
`#include "cutlass/gemm/warp/mma.h"`
`#include "cutlass/gemm/thread/mma.h"`
`#include "cutlass/gemm/warp/mma_simt_tile_iterator.h"`
`#include "cutlass/gemm/warp/mma_simt_policy.h"`
Include dependency graph for mma_simt.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | cutlass::gemm::warp::MmaSimt< Shape_, ElementA_, LayoutA_, ElementB_, LayoutB_, ElementC_, LayoutC_, Policy_, PartitionsK, Enable >
| Structure to compute the matrix product targeting CUDA cores and SIMT math instructions. More...

## Namespaces

| cutlass
| cutlass::gemm
| cutlass::gemm::warp